Subject: morels...

From: [email-masked] (Mara Linaberger)
Date: 9 May 1996 17:52:44 -0700

I and a couple of friends are off for our third weekend of morel hunting 
in western PA.  The last weekend in April we found 16 large black 
morels.  Last weekend, we found approximately 50 common ones, a few 
blacks, and a few semiliberica.  We also went to an old abandoned orchard 
we know of and found what we felt was "the mother lode."  Under one tree 
alone, we picked 40 prime morchella deliciosa (much earlier than I had 
expected to find them - what a treat).

As it has been raining non-stop here in PA, we are hopeful that this 
weekend will be the prime picking time for us....we'll keep you posted!

Happy hunting!

Mara Linaberger <[email-masked]>
Elementary Teacher, Pittsburgh Public Schools